Bug 814974 - [abrt] curl-7.21.7-7.fc16: __GI_exit: Process /usr/bin/curl was killed by signal 11 (SIGSEGV)
[abrt] curl-7.21.7-7.fc16: __GI_exit: Process /usr/bin/curl was killed by sig...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
abrt_hash:37523a497fe9bc3b5a65b76ea59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 15:20 EDT by Olivier
Modified: 2012-05-23 08:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 08:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (13.08 KB, text/plain)
2012-04-21 15:20 EDT, Olivier
no flags Details
File: backtrace (22.59 KB, text/plain)
2012-04-21 15:20 EDT, Olivier
no flags Details

  None (edit)
Description Olivier 2012-04-21 15:20:26 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        curl -s http://www.google.com/ig/api?weather=Lille,France
crash_function: __GI_exit
executable:     /usr/bin/curl
kernel:         3.3.1-5.fc16.x86_64
pid:            2175
pwd:            /home/olivier
reason:         Process /usr/bin/curl was killed by signal 11 (SIGSEGV)
time:           Thu 19 Apr 2012 08:05:35 PM CEST
uid:            1000
username:       olivier

backtrace:      Text file, 23129 bytes
maps:           Text file, 13392 bytes

build_ids:
:36f57a1f3d3f4436f63d1aac473a777597dce5dc
:ccd23fb93a7924ddd27ea9e7f054fa5309c92f32
:89017ab0b75e533e4294f74ee8f7db3daceea536
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:ef95ed2b74ff19753827117d4e556f38b33e74b5
:065f24e263b3a0d4316bfeedf855df8c2c35c03a
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:c314e9cb57367719196b6f665fe6773a2d08add6
:0a49b6fd90960659888f0be3bb576495f9d41959
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:a0b2903547454e47fec356c1fa1a69a7593893c5
:e2e67b3ae2579e1667b73ad385f61552931024e9
:888e650848c123e0c145e1bbf100f639bd8b308e
:c6458072ad06b0a781aa2311d45aaacdc598e891
:ea44661a40777d6be2f79058c161d3bb4962891a
:aca502f892c6a00c252cfc2c91f39497fe2598cf
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:3f13fafac33a0413af6c8d0f2313914c6984e757
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:ced174aa0f6fc21a03a8891d8b372c68e705c159
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:1bf947579687b870375bdb51b4eef277f76f9280
:6c827aed0fb6c93acb6c2329a62f452ff83e9052
:07b9ceb2d697037632125d9f56bf35a68f48c2d6
:36fc045d11fc55f1b455247938e651666e2c127e
:f1eb6e4e907e1e42f557c5b8dc851c407c6f4ac4
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:e213c4035f2d84eca292bee23048ff48d3a7b92f
:f1e8182609d9eae40a8ddbbb72c9346166014f1a

dso_list:
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-6.fc16.x86_64 (Fedora Project) 1329492897
:/usr/lib64/libnssutil3.so nss-util-3.13.3-2.1.fc16.x86_64 (Fedora Project) 1332088891
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1327500576
:/lib64/libfreebl3.so nss-softokn-freebl-3.13.3-1.fc16.x86_64 (Fedora Project) 1332088894
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.7-7.fc16.x86_64 (Fedora Project) 1332701545
:/lib64/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.3-1.fc16.x86_64 (Fedora Project) 1333350983
:/usr/lib64/libssl3.so nss-3.13.3-1.fc16.x86_64 (Fedora Project) 1332088896
:/lib64/libnspr4.so nspr-4.9-1.fc16.x86_64 (Fedora Project) 1332088889
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/libnss3.so nss-3.13.3-1.fc16.x86_64 (Fedora Project) 1332088896
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1327500494
:/lib64/libcrypto.so.1.0.0h openssl-1.0.0h-1.fc16.x86_64 (Fedora Project) 1334217398
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.3-1.fc16.x86_64 (Fedora Project) 1333350983
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-6.fc16.x86_64 (Fedora Project) 1329492897
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-4.fc16.x86_64 (Fedora Project) 1332876866
:/lib64/libplds4.so nspr-4.9-1.fc16.x86_64 (Fedora Project) 1332088889
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.3-1.fc16.x86_64 (Fedora Project) 1333350983
:/usr/lib64/libssl.so.1.0.0h openssl-1.0.0h-1.fc16.x86_64 (Fedora Project) 1334217398
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libnss_dns-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-27.fc16.x86_64 (Fedora Project) 1327500838
:/lib64/libidn.so.11.6.5 libidn-1.22-3.fc16.x86_64 (Fedora Project) 1327500611
:/lib64/libplc4.so nspr-4.9-1.fc16.x86_64 (Fedora Project) 1332088889
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187141
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.3-1.fc16.x86_64 (Fedora Project) 1333350983
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330187137
:/lib64/libnss_mdns4_minimal.so.2 nss-mdns-0.10-9.fc15.x86_64 (Fedora Project) 1329608778
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1327500508
:/usr/bin/curl curl-7.21.7-7.fc16.x86_64 (Fedora Project) 1332701689
:/lib64/libselinux.so.1 libselinux-2.1.6-6.fc16.x86_64 (Fedora Project) 1329411075
:/usr/lib64/libsmime3.so nss-3.13.3-1.fc16.x86_64 (Fedora Project) 1332088896

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=4018
:HOSTNAME=tannat
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-yI1zjK/gpg:0:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=470eef6a4faa8ee64ce4c7c20000000d-1334648172.839742-1186267561
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-yI1zjK
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=olivier
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/keyring-yI1zjK/ssh
:USERNAME=olivier
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4073,unix/unix:/tmp/.ICE-unix/4073
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/olivier
:DESKTOP_SESSION=xfce
:PATH=/home/olivier/Documents/exe:/usr/lib64/openmpi/bin:/home/opt/bin:/home/tax3bin:.:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/olivier/.local/bin:/home/olivier/bin
:QT_IM_MODULE=xim
:PWD=/home/olivier
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=3870
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=4
:XDG_SEAT=seat0
:HOME=/home/olivier
:LOGNAME=olivier
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TsD0LGW7lN,guid=47d4ceeec4820d2c543f24610000005d
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/olivier
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-olivier-Iy58X9/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/curl

var_log_messages:
:Apr 19 20:05:35 tannat kernel: [210656.164833] curl[2175]: segfault at 7fa1edd8de10 ip 0000003aee80f794 sp 00007fff0fa84280 error 4 in ld-2.14.90.so[3aee800000+22000]
:Apr 19 20:05:35 tannat abrt[2179]: Saved core dump of pid 2175 (/usr/bin/curl) to /var/spool/abrt/ccpp-2012-04-19-20:05:35-2175 (9641984 bytes)
Comment 1 Olivier 2012-04-21 15:20:30 EDT
Created attachment 579212 [details]
File: maps
Comment 2 Olivier 2012-04-21 15:20:32 EDT
Created attachment 579213 [details]
File: backtrace
Comment 3 Kamil Dudka 2012-04-22 06:42:10 EDT
Olivier, thank you for reporting the bug!  Could you please provide more information on how to repeat the crash and/or resubmit the backtrace with up2date debuginfo packages installed?
Comment 4 Bruno Martins 2012-04-22 18:47:24 EDT
Just quitting.

backtrace_rating: 4
Package: mysql-workbench-5.2.38-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Kamil Dudka 2012-05-23 08:57:54 EDT
I am closing the bug now.  Feel free to reopen once you have the required info.

Note You need to log in before you can comment on or make changes to this bug.